# no ppc64 mozilla
ExcludeArch: ppc64

%define gal_version 2:2.2.3
%define gtkhtml_version 3.3.2
%define soup_version 2.2.0
%define eds_version 1.0.2
%define use_mozilla_nss 1
%define evo_major 2.0
%define libbonoboui_version 2.4.2
%define orbit2_version 2.9.8
%define gnome_icon_theme_version 1.3.6

%if %{use_mozilla_nss}
%define mozilla_build_version 1.7.7
%endif

%define ldap_support 1
%define krb5_support 1
%ifarch s390 s390x
%define pilot_support 0
%else
%define pilot_support 1
%endif
# note that nntp is non-functional in evo 1.3.x
%define nntp_support 1

Name: evolution
Version: 2.0.2
Release: 16
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.ximian.com/
Source0: ftp://ftp.gnome.org/pub/gnome/stable/sources/evolution/2.0/%{name}-%{version}.tar.bz2

# patches pulled from upstream CVS

# Red Hat Linux specific patches
#Patch11: evolution-1.3.2-redhatify.patch
Patch12: evolution-2.0.2-userguide-source-branding.patch
Patch13: evolution-2.0.2-link-to-gss.patch
Patch14: evolution-2.0.2-remove-quick-reference.patch

# db3 starts using POSIX/thread/library for mutexes with nptl otherwise :/
#Patch99: db3-dont-use-pthread.patch
# bad hack
Patch98: evolution-1.4.4-ldap-x86_64-hack.patch

# patches sent upstream

Patch100: evo-addressbook-print-with-pango-2.patch
Patch101: evo-calendar-print-with-pango-backported.patch

# Security fixes
Patch200: evolution-2.0.2-fix-for-CAN-2005-0806.patch
Patch201: evolution-2.0.2-fix-for-CAN-2005-0102.patch

# not accepted, but proposed on a few occasions.  fixes problems with
# some cyrus servers
#Patch200: evolution-1.4.5-imap-command-length.patch

# this was rejected due to adding a dependency on DISPLAY for 
# evolution-wombat but it does work to fix the problem
#Patch500: evolution-wombat-sm.patch

# This was added upstream in 1.5.93, with configure-time detection
#Patch700: evolution-1.5.9.1-filechooser.patch

Summary: GNOME's next-generation groupware suite
Group: Applications/Productivity

Requires: scrollkeeper >= 0.1.4
Requires: ORBit2 >= 2.7.5
Requires: libsoup >= %{soup_version}
Requires: libgal2 >= %{gal_version}
Requires: evolution-data-server >= %{eds_version}
Requires: gnome-spell >= 1.0.2
Requires: gtk2 >= 2.4.0
Requires: libbonoboui >= %{libbonoboui_version}
Requires: ORBit2 >= %{orbit2_version}
Requires: spamassassin
Requires: gnome-icon-theme >= %{gnome_icon_theme_version}
Requires: redhat-menus >= 1.13
Requires: gnutls

BuildRequires: gtkhtml3-devel >= %{gtkhtml_version}
BuildRequires: libgal2-devel >= %{gal_version}
BuildRequires: libsoup-devel >= %{soup_version}
BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: libbonobo-devel >= 2.0
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= 2.0
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libgnomecanvas-devel >= 2.0
BuildRequires: libxml2-devel
BuildRequires: GConf2-devel
BuildRequires: intltool
BuildRequires: ORBit2-devel >= %{orbit2_version}
# kind of silly...
BuildRequires: flex bison byacc libtool gettext
BuildRequires: gnutls-devel

%if %{use_mozilla_nss}
BuildRequires: mozilla-nspr-devel >= 37:%{mozilla_build_version}
BuildRequires: mozilla-nss-devel  >= 37:%{mozilla_build_version}
%else
BuildRequires: openssl-devel
%endif

BuildRequires: pkgconfig
BuildRequires: desktop-file-utils

%if %{ldap_support} 
BuildRequires: openldap-devel >= 2.0.11 
%endif

%if %{pilot_support} 
BuildRequires: gnome-pilot-devel >= 2.0.6
# bleah, gnome-pilot really sucks this in, but then I have to have an explicit
# versioning for gnome-pilot when it changes less than pilot-link itself
BuildRequires: pilot-link-devel >= 1:0.11.4
Requires: gnome-pilot >= 2.0.6
%endif

%if %{krb5_support} 
BuildRequires: krb5-devel 
# tweak for krb5 1.2 vs 1.3
%define krb5dir /usr/kerberos
#define krb5dir `pwd`/krb5-fakeprefix
%endif

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%package devel
Summary: Development files for building against evolution
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtkhtml3-devel >= %{gtkhtml_version}
Requires: libgal2-devel >= %{gal_version}
Requires: libsoup-devel >= %{soup_version}

%description devel
Development files needed for building things which link against evolution.

%prep
%setup -q
# these are in CVS already on the 1-4-branch

# Red Hat specific patches
#patch11 -p1 -b .rhatify
%patch12 -p1 -b .userguide-source-branding
%patch13 -p1 -b .link-to-gss
%patch14 -p1 -b .remove-quick-reference

#patch99 -p1 -b .db3pthread

%patch98 -p1 -b .ldaphack

%patch100 -p0 -b .addressbook-print-with-pango
%patch101 -p1 -b .calendar-print-with-pango

# Security fixes
%patch200 -p1 -b .fix-for-CAN-2005-0806

cd camel
%patch201 -p0 -b .fix-for-CAN-2005-0102
cd ..


# patches sent upstream

#patch200 -p1 -b .commandlength

#patch500 -p0 -b .wombatsm

#patch700 -p1 -b .filechooser

mkdir -p krb5-fakeprefix/include
mkdir -p krb5-fakeprefix/lib
mkdir -p krb5-fakeprefix/%{_lib}

%build
# define all of our flags, this is kind of ugly :(
%if %{ldap_support}
%define ldap_flags --with-openldap=yes
%else
%define ldap_flags --without-openldap
%endif

%if %{pilot_support}
%define pilot_flags --enable-pilot-conduits=yes
%else
%define pilot_flags --enable-pilot-conduits=no
%endif

%if %{krb5_support}
%define krb5_flags --with-krb5=%{krb5dir}
%else
%define krb5_flags --without-krb5
%endif

%if %{nntp_support}
%define nntp_flags --enable-nntp=yes
%else
%define nntp_flags --enable-nntp=no
%endif

%if %{use_mozilla_nss}
%define ssl_flags --with-nspr-includes=/usr/include/mozilla-%{mozilla_build_version}/nspr --with-nspr-libs=%{_libdir} --with-nss-includes=/usr/include/mozilla-%{mozilla_build_version}/nss --with-nss-libs=%{_libdir}
%else
%define ssl_flags --enable-openssl=yes
%endif

%if %{use_mozilla_nss}
if [ ! -f /usr/include/mozilla-%{mozilla_build_version}/nspr/nspr.h ]; then
  echo "Unable to find suitable version of mozilla nss to use!"
  exit 1
fi
%endif

CPPFLAGS="-I%{_includedir}/et"; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS -fPIC -I%{_includedir}/et"; export CFLAGS
%if ! %{use_mozilla_nss}
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%endif

%configure --enable-gtk-doc=no --enable-ipv6 \
  --enable-file-locking=fcntl --enable-dot-locking=no \
  --with-sub-version=" (%{version}-%{release})" \
  --with-kde-applnk-path=no \
  --enable-file-chooser=yes \
  %ldap_flags %pilot_flags %krb5_flags %nntp_flags %ssl_flags 
export tagname=CC
make LIBTOOL=%{_bindir}/libtool

#cat /dev/null > default_user/local/Inbox/mbox

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make LIBTOOL=%{_bindir}/libtool DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir}/evolution -name '*.la' -exec rm {} \;

# pilot conduits static and libtool bits should go away too
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.la

# scrollkeeper gets handled in %post
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# evolution is the preferred email app
ln -sf ../desktop-menu-patches/redhat-evolution.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/
# just keep our desktop file (#103826)
rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/evolution-2.0.desktop

# evolution link
ln -sf ./evolution-%{evo_major} $RPM_BUILD_ROOT/%{_bindir}/evolution


%find_lang %name-%{evo_major}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="apps_evolution_addressbook-2.0.schemas apps_evolution_calendar-2.0.schemas apps_evolution_shell-2.0.schemas evolution-mail-2.0.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done
scrollkeeper-update

%postun
/sbin/ldconfig
scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{evo_major}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gnome/help/evolution-%{evo_major}
%{_datadir}/idl/evolution-%{evo_major}
%{_datadir}/mime-info/*
%dir %{_datadir}/evolution
%{_datadir}/evolution/%{evo_major}
%{_datadir}/omf/evolution
%{_datadir}/pixmaps/*
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/%{evo_major}
%dir %{_libdir}/evolution/%{evo_major}/camel-providers
%dir %{_libdir}/evolution/%{evo_major}/camel-providers/*.so
%dir %{_libdir}/evolution/%{evo_major}/components
%dir %{_libdir}/evolution/%{evo_major}/components/*.so
%dir %{_libdir}/evolution/%{evo_major}/evolution-calendar-importers
%dir %{_libdir}/evolution/%{evo_major}/evolution-calendar-importers/*.so
%dir %{_libdir}/evolution/%{evo_major}/evolution-addressbook-importers/
%{_libdir}/evolution/%{evo_major}/evolution-addressbook-importers/*.so
%{_libdir}/evolution/%{evo_major}/*.so.*
%{_libdir}/evolution/%{evo_major}/camel-providers/*.urls
%dir %{_libexecdir}/evolution
%{_libexecdir}/evolution/%{evo_major}

%if %{pilot_support}
%dir %{_libdir}/evolution/%{evo_major}/conduits
%{_libdir}/evolution/%{evo_major}/conduits/*.so
%{_datadir}/gnome-pilot/conduits/*
%endif

%files devel
%defattr(-, root, root)
%{_includedir}/evolution-%{evo_major}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/evolution/%{evo_major}/*.so
%{_libdir}/evolution/%{evo_major}/*.a
%{_libdir}/evolution/%{evo_major}/*/*.a

%changelog
* Wed Apr 20 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-16
- bump mozilla_build_version from 1.7.6 to 1.7.7

* Thu Apr  7 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-15
- Added patch for #155377 (CAN-2005-0806)
- Added patch for #155375 (camel-lock-helper, CAN-2005-0102)

* Tue Mar 22 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-14
- Updated mozilla_build_version to 1.7.6

* Thu Mar  3 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-13
- Updated mozilla_build_version to 1.7.5

* Thu Mar  3 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-12
- Changed mozilla buildtime dependencies to be >=1.7.3 rather than 1.7.3 to isolate evolution
builds from changing mozilla versions.

* Thu Mar  3 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-11
- Removed explicit run-time spec-file requirement on mozilla.
  The Mozilla NSS API/ABI stabilised by version 1.7.3
  The libraries are always located in the libdir
  However, the headers are in /usr/include/mozilla-%{mozilla_build_version}
  and so they move each time the mozilla version changes.
  So we no longer have an explicit mozilla run-time requirement in the specfile; 
  a requirement on the appropriate NSS and NSPR .so files is automagically generated on build.
  We have an explicit, exact build-time version, so that we can find the headers (without
  invoking an RPM query from the spec file; to do so is considered bad practice)
- Introduced mozilla_build_version, to replace mozilla_version

* Wed Feb 23 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-10
- apply patches to use Pango for printing addressbooks and calendars, fixing issues with non-Roman scripts (#138075)
This introduces an ABI dependency on libgnomeprint >= 2.7.0; however this is dependency is already pulled in by the gtkhtml3 package

* Wed Jan 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-9
- rebuild against mozilla 1.7.5

* Wed Dec  1 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.2-8
- updated s390/s390x to use the same version of mozilla as other architectures (1.7.3), rather than 1.6

* Wed Dec  1 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.2-7
- re-enable build on s390/s390x

* Wed Nov 10 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.2-5
- Added evolution-2.0.2-userguide-source-branding.patch to remove certain distro-specific references in documentation (#122195)
- Added evolution-2.0.2-link-to-gss.patch to make "Help" links from two error dialogs take the user to GSS (#133978)
- Added evolution-2.0.2-remove-quick-reference.patch to remove "Quick Reference" from menu (#122195)

* Fri Oct 22 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.2-3
- added requirement on gnutls/gnutls-devel

* Fri Oct 22 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.2-2
- Fix for #132050 (no entry for Evolution in the menus): use the new redhat-evolution.desktop file provided by redhat-menus-1.13

* Tue Oct 12 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.2-1
- Update from 2.0.1 to 2.0.2
- Updated dependency on e-d-s from 1.0.1 to 1.0.2
- Updated dependency on libgal2 from 2.2.2 to 2.2.3
- Updated dependency on gtkhtml3 from 3.3.0 to 3.3.2
- ppc's mozilla dependency is now in line with the other architectures at 1.7.3

* Sat Oct  9 2004 David Malcolm <dmalcolm@redhat.com>
- disable s390/s390x for now

* Fri Oct  8 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.1-3
- Fix for #135135, updating the fix for #103826 that removes the evolution.desktop file in "Office"; the file to delete had been renamed to evolution-2.0.desktop
- Added requirement on redhat-menus, since this supplies the target of our .desktop symlink

* Tue Sep 28 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.1-2
- update mozilla dependency from 1.7.2 to 1.7.3, apart from on ppc (and on s390 and s390x, which remain at 1.6, and on ppc64 where it isn't available at all)

* Tue Sep 28 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.1-1
- Update from 2.0.0 to 2.0.1
- Updated dependency on e-d-s from 1.0.0 to 1.0.1
- Updated dependency on libgal2 from 2.2.0 to 2.2.2

* Mon Sep 20 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.0-2
- rebuilt

* Tue Sep 14 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.0-1
- Update from 1.5.94.1 to 2.0.0
- Change source FTP location from 1.5 to 2.0
- Updated dependency on e-d-s from 0.0.99 to 1.0.0
- Documentation has now moved from 1.5 to 2.0

* Tue Aug 31 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.94.1-1
- updated tarball from 1.5.93 to 1.5.94.1
- the BASE_VERSION in the configure.in script has finally been updated from 1.5 to 2.0 (affects OAFIIDs, install dirs, binary names etc); updated evo_major and various other parts of the spec-file to reflect this; however documentation is still 1.5 in upstream tarball
- updated dependency on libgal2 from 2:2.1.14 to 2:2.2.0
- updated dependency on libsoup from 2.1.13 to 2.2.0
- updated dependency on e-d-s from 0.0.98 to 0.0.99

* Tue Aug 17 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.93-2
- updated gnome-icon-theme requirement from 1.2.0 to 1.3.6 to fix problem with missing stock icons (bz #130142)

* Mon Aug 16 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.93-1
- updated tarball from 1.5.92.2 to 1.5.93
- removed filechooser patch - this is now in the upstream tarball, with a test at configuration time; it was autodetected and enabled in my test build; I've explicitly enabled it to be certain.
- updated dependency on libgal2 from 2:2.1.13 to 2:2.1.14
- updated dependency on libsoup from 2.1.12 to 2.1.13
- updated dependency on e-d-s from 0.0.97 to 0.0.98

* Wed Aug 11 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.92.2-2
- Increased mozilla_version from 1.7 to 1.7.2 so that the NSS test looks in the correct place

* Wed Aug 11 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.92.2-1
- updated tarball from 1.5.92.1 to 1.5.92.2

* Wed Aug  4 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.92.1-1
- updated tarball from 1.5.91 to 1.5.92.1
- added a dependency on gnome-icon-theme
- updated dependency on libgal2 from 2:2.1.11 to 2:2.1.13
- updated dependency on gtkhtml3 from 3.1.17 to 3.3.0
- updated dependency on libsoup from 2.1.11 to 2.1.12
- updated dependency on e-d-s from 0.0.95 to 0.0.97

* Mon Jul 26 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.91-1
- 1.5.91

* Thu Jul  8 2004 Jeremy Katz <katzj@redhat.com> - 1.5.90-5
- use mozilla 1.7 on platforms where it's available
- check to make sure the appropriate mozilla headers exist if using
  mozilla nss for ssl or fail the build

* Thu Jul  8 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Wed Jul  7 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Tue Jul  6 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.90-2
- Fixed sources file

* Tue Jul  6 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.90-1
- 1.5.90; updated requirements on gtkhtml3, libgal2, and e-d-s

* Thu Jun 17 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.9.2-1
- 1.5.9.2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  8 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.9.1-3
- Replaced /usr/lib with %%{_libdir} in mozills_nss ssl_flags

* Mon Jun  7 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.9.1-2
- updated filechooser patch again

* Mon Jun  7 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.9.1-1
- 1.5.9.1; updated filechooser patch

* Wed May 26 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.8-3
- added ORBit2 and spamassassin requirements

* Mon May 24 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.8-2
- Fixed up filechooser patch and re-enabled it

* Fri May 21 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.8-1
- 1.5.8; added explicit libbonoboui requirement; disabled filechooser patch for now

* Tue May  4 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.7-3
- Added GtkFileChooser patch based on work by Carlos Garnacho Parro (http://lists.ximian.com/archives/public/evolution-patches/2004-March/004867.html); added requirement for GTK 2.4

* Thu Apr 22 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.7-2
- added emfv signal fix patch and fix for defaults in switch statements on gcc3.4

* Wed Apr 21 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.7-1
- 1.5.7

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> - 1.5.5-1
- 1.5.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 18 2004 Jeremy Katz <katzj@redhat.com> - 1.5.4-1
- 1.5.4

* Tue Feb 17 2004 Jeremy Katz <katzj@redhat.com> 
- buildrequire e-d-s-devel instead of e-d-s (#114712)
- enable nntp support (#114802)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jeremy Katz <katzj@redhat.com> 1.5.3-1
- 1.5.3

* Wed Jan 21 2004 Jeremy Katz <katzj@redhat.com> 1.5.2-2
- size_t/int mismatch compile fix for 64bit platforms

* Wed Jan 14 2004 Jeremy Katz <katzj@redhat.com> 1.5.2-0
- 1.5.2
- add patch to fix gconf warning with schema

* Sun Jan  4 2004 Jeremy Katz <katzj@redhat.com> 1.5.1-0
- 1.5.1
- temporarily disable redhatify patch
- use mozilla-nss for SSL
- fix schema names

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 1.4.5-8
- fall back to HELO for ESMTP (#108753)

* Tue Oct 28 2003 Jeremy Katz <katzj@redhat.com> 1.4.5-7
- fix title on composer save dialog (#108159)

* Mon Oct 27 2003 Jeremy Katz <katzj@redhat.com> 1.4.5-6
- Make imap command length shorter to avoid choking some imap servers 
  (notably cyrus-imap).
- Make wombat session managed so that we don't hit weird bonobo activation
  things.  This adds a dependency on $DISPLAY for wombat.  (#106826)

* Sun Oct 19 2003 Jeremy Katz <katzj@redhat.com> 1.4.5-5
- use AI_ADDRCONFIG to avoid returning IPv6 addresses on hosts without 
  IPv6 support
- add patch from upstream with reply-to-list shortcut (Ctrl-l)

* Wed Oct 15 2003 Jeremy Katz <katzj@redhat.com> 1.4.5-4
- really, really remove duplicate menu entry (#103826)

* Tue Oct 14 2003 Jeremy Katz <katzj@redhat.com> 1.4.5-3
- Pull in some patches from upstream CVS
  * Avoid division by zero with POP (X#41610)
  * Don't mangle headers (X#33545)
  * Prefix IPV6 numeric hosts properly (X#46006, #105028)
  * Use proper function for IPV6 reverse lookups (X#46006)
  * Allow timezone offset to be up to 14 hours (X#49357)

* Mon Oct 13 2003 Jeremy Katz <katzj@redhat.com> 
- add patch from upstream CVS to fix SMTP syntax problems (#106630) 
- really remove duplicate menu entry (#103826)

* Mon Oct  6 2003 Jeremy Katz <katzj@redhat.com> 
- make redhat-email.desktop symlink relative (#104391)

* Wed Sep 24 2003 Jeremy Katz <katzj@redhat.com> 
- add ipv6 support per dwmw2's request

* Tue Sep 23 2003 Jeremy Katz <katzj@redhat.com> 1.4.5-2
- 1.4.5

* Wed Sep 17 2003 Jeremy Katz <katzj@redhat.com> 
- move static libs into -devel (#104399)

* Tue Sep 16 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-7
- filter types are gtypes, not ints (#103934)

* Wed Sep 10 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-6
- fix from upstream (will be in 1.4.5) to fix menu merging in the 
  composer with new libbonobo

* Fri Sep  5 2003 Jeremy Katz <katzj@redhat.com> 
- remove the desktop file in Office (#103826)

* Tue Sep  2 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-5
- patch from upstream to fix display of some mails in 
  different charsets (#102899)
- add requires on newer version of ORBit2 (#103386)
- add patch from upstream (extracted by George Karabin) to use gnome-vfs 
  mime icon lookup where available (#102553)

* Fri Aug 22 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-4
- include static libs (#102834)

* Wed Aug  6 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-3
- add a -devel subpackage (#99376)

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-1
- 1.4.4

* Wed Jul 30 2003 Jeremy Katz <katzj@redhat.com> 
- buildrequires fixup from Ville Skytta (#101325)

* Thu Jul 24 2003 Jeremy Katz <katzj@redhat.com> 1.4.3-6
- include tagoh's patch for printing cjk contacts (committed upstream, #99374)

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 1.4.3-5
- rebuild

* Tue Jul 15 2003 Jeremy Katz <katzj@redhat.com> 1.4.3-4
- build on all arches again

* Mon Jul 14 2003 Jeremy Katz <katzj@redhat.com> 1.4.3-3
- rebuild

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 1.4.3-1
- 1.4.3

* Thu Jun 19 2003 Jeremy Katz <katzj@redhat.com> 
- make gal version dep more explicit

* Fri Jun 13 2003 Jeremy Katz <katzj@redhat.com> 
- fix desktop file (#97162)

* Tue Jun 10 2003 Jeremy Katz <katzj@redhat.com> 1.4.0-2
- rebuild
- excludearch ppc64 for now

* Mon Jun  9 2003 Jeremy Katz <katzj@redhat.com> 1.4.0-1
- 1.4.0

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 1.3.92-2
- rebuild

* Wed Jun  4 2003 Jeremy Katz <katzj@redhat.com> 
- buildrequires gettext (#92276)

* Sun May 25 2003 Jeremy Katz <katzj@redhat.com> 1.3.92-1
- 1.3.92

* Wed May  7 2003 Jeremy Katz <katzj@redhat.com> 1.3.3-2
- fix default for /schemas/apps/evolution/mail/display/mime_types

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.3.3-1
- 1.3.3

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 1.3.2-2
- enable pilot support
- add redhatify patch back

* Tue Apr 22 2003 Jeremy Katz <katzj@redhat.com>
- add a /usr/bin/evolution symlink

* Mon Apr 21 2003 Jeremy Katz <katzj@redhat.com> 
- fix gnome-spell version requirement

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.3.2-1
- add trivial fix for evolution-mail schema key (ximian #41419)

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 
- update to 1.3
- don't build with pilot support for now
- don't redhat-ify the summary prefs for now

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-2
- fix krb5 libdir for lib64 systems

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-1
- update to 1.2.4

* Thu Apr  3 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-7
- oops, fix a tyop

* Thu Apr  3 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-6
- add a few cleanups for 64bit cleanliness (#86347)

* Sun Mar 30 2003 Jeremy Katz <katzj@redhat.com> 
- add some buildrequires (#87612)

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1.2.3-1
- update to 1.2.3

* Wed Mar 19 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-5
- security patches from upstream
  - sanity check UUEncoding header before decoding (CAN-2003-0128)
  - don't decode doubly UUEncoded content (CAN-2003-0129)
  - don't use a bonobo component to display things without registered 
    handlers (CAN-2003-0130)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 1.2.2-4
- debuginfo rebuild

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-3
- memleak patch had some bits that weren't supposed to be there.  update 
  to newer from upstream.
- fix directory checking in proxy patch

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-2
- add missing build dep (#84388)
- add patch from upstream for evolution-mail memleak
- add patch from upstream to use the gnome2 proxy settings by default

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-1
- 1.2.2
- build on x86_64 

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.1-4
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- if building with OpenSSL, attempt to get cflags and ldflags from pkgconfig

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 1.2.1-3
- we don't want to use native POSIX threads for mutexes in db3, override them

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 1.2.1-2
- rebuild

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 1.2.1-1
- update to 1.2.1

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-6
- require a newer soup, the old one Has Bugs (tm)
- excludearch x86_64; getting a R_X86_64_32S relocation in libical 
  although everything appears to be built with -fPIC correctly

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-5
- patch for multilib krb5

* Mon Dec  2 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-4
- add upstream patch to handle LDAPv3 better
- add upstream patch to fix shell memory leaks
- add upstream patch to fix ldap scope selection
- build with openssl instead of mozilla-nss since it's available on 
  more platforms
- build on all arches

* Fri Nov 22 2002 Jeremy Katz <katzj@redhat.com>
- require bonobo-conf, not -devel (#78398)

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de> 1.2.0-3
- disable pilot support for mainframe

* Mon Nov 18 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-2
- macro-ify the mozilla version to make it easier to build against 
  newer mozillas with headers in new locations
- buildrequire pilot-link-devel (#78077)
- drop uneeded ldapv3 patch (toshok says 1.2 already handles this)
- drop unneeded patch for ordering of the libdb checks
- add fejj's patch to always subscribe to the inbox from evolution-patches

* Tue Nov 12 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-1
- 1.2.0

* Sat Nov  2 2002 Jeremy Katz <katzj@redhat.com> 1.1.90-2
- reenable pilot support
- redhatify

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 1.1.90-1
- update to 1.1.90

* Thu Oct 31 2002 Jeremy Katz <katzj@redhat.com>
- include mozilla epochs in requires (#74577)
- add build requires on newer oaf (#76801)

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 1.1.2-1
- update to 1.1.2
- remove unpackaged files from the buildrooot
- disable pilot support for now

* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-10
- add freetype-devel to build requires (#73319)

* Mon Sep  2 2002 Owen Taylor <otaylor@redhat.com>
- Fix a problem where evolution-mail right click items corrupted the stack
  (#67992)

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-9
- don't install two desktop files (#72871)

* Wed Aug 28 2002 Preston Brown <pbrown@redhat.com> 1.0.8-8
- absolute symlink .desktop file (#72913)

* Thu Aug 22 2002 han Ngo <than@redhat.com> 1.0.8-7
- rebuild against new pilot-link

* Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- bzip2 source

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 1.0.8-5
- rebuild against new pilot-link-0.11.2

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-4
- rebuild against new gnome-pilot

* Tue Jul  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-3
- remove static and libtool archives for importers and camel-providers (#68222)
- do desktop-file-install magic 
- remove dead sites from summary list (#64522)
- support openldap protocol version 3 based off of Nalin's autofs changes 

* Mon Jul  8 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-2
- fix openldap-devel buildrequire

* Mon Jul  1 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-1
- 1.0.8 

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-2
- include patch to omf files from otaylor@redhat.com to fix 
  scrollkeeper validation errors

* Sun Jun 23 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-1
- update to 1.0.7
- excludearch alpha while mozilla isn't being built there

* Sun May 26 2002 Tim Powers <timp@redhat.com> 1.0.5-2
- automated rebuild

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.5-1
- update to 1.0.5

* Fri May  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-6
- add patch to fix spool unread counts (#64198)
- build with the fix for the crasher mail sent to 
  evolution-list (ximian #24140)

* Mon Apr 15 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-4
- include fejj(at)ximian.com's patch to fix the EINPROGRESS error with ssl 
  since it's been committed to the branch and fixes the problem for me
- include patch from tagoh(at)redhat.com to change the default charset 
  for Japanese to ISO-2022-JP (#63214)

* Wed Apr 10 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- minor tweaks to the redhatify patch
- make accepting appointments sent to mailing lists work
- use the RFC specified LDAP attribs for freebusy and calendarURI 
  in addressbook
- fix a crash in the startup wizard

* Sun Mar 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-2
- move desktop file to /etc/X11/applnk (#62399)

* Sun Mar 24 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-1
- update to evolution 1.0.3
- change summary view to show a recent errata list by default

* Thu Mar 14 2002 Jeremy Katz <katzj@redhat.com>
- put correct path to nspr includes on configure command line

* Mon Mar 11 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-3
- mozilla 0.9.9 has nspr and nss subpackages, hooray!  rip out the static 
  libnss linkage and just link against what is provided dynamically
- kill the -devel subpackage since it's of questionable use
- explicitly require mozilla-nss and mozilla-nspr packages to make it easier
  to resolve the requirements

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-2
- rebuild in new environment
- temporarily exclude on ia64 again

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- update to 1.0.2

* Mon Jan 28 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-4
- build on ia64 now that mozilla exists for ia64

* Sun Jan 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-3
- rebuild in new environment
- add pilot support

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-2
- rebuild without mozilla-psm in the buildroot so libnss is linked 
  statically as intended

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- update to 1.0.1
- patch for autoconf 2.52 accepted upstream
- include man page
- use --with-sub-version=" (%%{version}-%%{release})"

* Tue Dec 18 2001 Jeremy Katz <katzj@redhat.com> 1.0-2
- really disable news
- add patch from Jens Petersen <juhp@redhat.com> to hopefully get 
  builds working with autoconf 2.52
- conditionalize static libnss stuff so that it can go away when we
  have a mozilla with shared libnss

* Thu Dec  6 2001 Jeremy Katz <katzj@redhat.com> 1.0-1.7.2
- add patches off of branch for:
  * do not show up as Preview Release in version string
  * have next/previous work with multiple selected messages
- build without pilot support

* Mon Dec  3 2001 Jeremy Katz <katzj@redhat.com> 1.0-1
- and bump to 1.0

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- let's build with an included copy of libnss now since OpenSSL is support
  is disabled on the 1.0 branch
- build with --enable-dot-locking=no
- excludearch ia64 again now that we need libnspr

* Mon Nov 26 2001 Jeremy Katz <katzj@redhat.com>
- build with gnome-pilot and krb5 support
- conditionalize ldap, pilot and krb5 support
- clean up buildrequires some

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- we can build on ia64 since we're using openssl instead of nspr
- disable non-functional nntp support 
- 0.99.2 (rc2) 

* Fri Nov  9 2001 Jeremy Katz <katzj@redhat.com>
- add explicit requires on current bonobo, oaf, and GConf to help people
  help themselves
- s/Copyright/License/

* Thu Nov  8 2001 Jeremy Katz <katzj@redhat.com>
- add a patch to revert changes to camel-tcp-stream-openssl; appears to 
  fix the SSL hangs

* Wed Nov  7 2001 Jeremy Katz <katzj@redhat.com>
- fix filelist to include libical zoneinfo
- add devel subpackage with includes and static libs

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.99.0 aka 1.0 RC1

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.16 snagged from Ximian GNOME

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- initial build based on David Sainty's specfile

* Thu Oct 04 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.15.99, 20011004 from cvs.

* Wed Sep 05 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010905 from cvs.

* Mon Sep 03 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010903 from cvs.
- Fixed Requires + BuildRequires

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.12.99, 20010806 from cvs.

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Relocated libical* from /usr/lib due to kdepim, -2

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- First spec file for evolution.

